create table ods_bus_feedback
(
    id             STRING comment '主键',
    project_id     STRING  comment '项目ID',
    object_id      STRING comment '空间ID',
    source_type    STRING comment '反馈来源分类',
    user_id        STRING,
    user_phone     STRING,
    user_name      STRING,
    `value_type`   STRING comment '调节方式:1按调节项2按精确值',
    item_id        STRING comment '吐槽内容ID',
    value          DECIMAL(15, 5),
    create_time    STRING,
    next_open_time STRING comment '下次开启时间',
    model          STRING comment '反馈模式 1.一般模式 2.专业模式',
    duration_type  STRING comment '时效， 1.未来两个小时 2.未来24小时（不包含非定制区间）3.每天此刻都保持该温度',
    custom_plan    STRING comment '温度计划',
    curr_temp      decimal(4, 2)  comment '反馈实际温度',
    nick_name      STRING comment '反馈人微信昵称',
    result         STRING comment '控制模块获取结果是否成功',
    exe_result     STRING comment '控制模块返回结果',
    fb_temp        decimal(4, 2) comment '反馈后目标温度',
    remark         STRING comment '备注'
) COMMENT '空调操作记录表'
    PARTITIONED BY (`dt` string)
    ROW FORMAT DELIMITED FIELDS TERMINATED BY '\001'
    STORED AS TEXTFILE
    LOCATION
        'hdfs://sagaCluster:8020/warehouse/saga_dw/ods/tmp/ods_bus_feedback'
    TBLPROPERTIES (
        'orc.compress'='lzo');